#include "typedef.h"
#include "interf_enc.h"
#include "interf_dec.h"

/*
 * definition of modes for encoder
 */

enum Mode req_mode;
void* amr_StartEncoder();
	// need to call it ONCE before beginning the session (i.e. before the FIRST call to Encode())
int amr_StopEncoder(void* enstate);
	// call it after all the Encode calls have been completed (i.e. after the LAST call to Encode)
void* amr_StartDecoder();
	// need to call it ONCE before beginning the session (i.e. before the FIRST call to Decode())
int amr_StopDecoder(void* destate);
	// call it to change bitrate
int amr_Encode(void* enstate, enum Mode req_mode,void *input, int inputSizeBytes, void *output, int *outputSizeBytes);
	// input = an array of "short" where each short is one sample of PCM 8kHz 16bit mono
	// fill outputSizeBytes with size(bytes) of array output (should be long enough).
	// on return, it contains # of bytes in output
enum Mode amr_Decode(void* destate,void *input, int inputSizeBytes, void *output, int *outputSizeBytes);
	// input = pointer to AMR encoded frame (10bytes/10milliseconds)
	// output = array of short. output format is PCM 8kHz 16bit(i.e. 2bytes/sample) mono
	// fill outputSizeBytes with size(bytes) of array output (should be long enough).
	// on return, it contains # of bytes in output

