#include <sys/socket.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>	/* for gethostbyname */  


/*
 * RTP payload types
 */
typedef enum {
	PT_PCMU,	PT_1016,	PT_G726,	PT_GSM,
	PT_G723,	PT_DVI4_8,	PT_DVI4_16,	PT_LPC,
	PT_G729=18,	PT_AMR=34,
	PT_ANY=255
} payload_type; 

/*
 * RTP header
 */
struct rtphdr {
#if defined(_BIG_ENDIAN)
    u_int	v:2;
    u_int	p:1;
    u_int	x:1;
    u_int	cc:4;
    u_int m:1;
    u_int	pt:7; /* msb is the marker... */
    u_int	seq:16;
#else
    u_int	cc:4;
    u_int	x:1;
    u_int	p:1;
    u_int	v:2;
    u_int	pt:7; /* lsb is the marker... */
    u_int m:1;
    u_int	seq:16;
#endif

    u_long	timestamp;
    u_long	ssrc;
	u_char  payload[64];
};
  